version: "3"
services:
  geradorplanilha:
    image: gvgx/otimizador-planilha:latest
    container_name: otimizador_planilha
    working_dir: /var/www
    environment:
      - PYTHONUNBUFFERED=1
      - TZ=America/Sao_Paulo
      - LD_LIBRARY_PATH=/u01/app/oracle/product/12.1.0/client_1/lib/
      - ORACLE_HOME=/u01/app/oracle/product/12.1.0/client_1
    volumes:
      - /u01:/u01
      - .:/var/www
    restart: always
    command: python3.7 src/scheduler.py